<?
// список магии
$rt="5";

	// в $to цель, если есть
	if (count($player["magic"])==0) msg("<p>У вас нет ни одного заклинания");
	require"magic.php";	// загружаем всю магию
	if ($macro==1) $m="&macros=list&num=$num&name=$name&act=$act#add"; else $m='';
	$stmp="<p>";
	$ind=0; $count=0; if(!$start) $start=0;
	foreach($player["magic"] as $i) {
		if ($ind>=$start && $ind<$start+$rt) {	//FIX: может +1?
		$mt=split("\|",$arr_magic[$i]);
		if ($to) {
			$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&to=$to&use=".$i.$m."&u=".$i.$m."\">";
			$stmp.=$mt[0]."</a>";
			} else {	// в след. экране all выберем цель $to для использования
$stmp.="<br/>[<a href=\"$PHP_SELF?sid=$sid&delete=magic&i=$i\">X</a>]
<a href=\"$PHP_SELF?sid=$sid&use=$i&u=".$i."\">".$mt[0]."</a>
(<a href=\"$PHP_SELF?sid=$sid&look=mg&i=$i\">?</a>)";
}
		}
		$ind++;
		}
	if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&list=magic\">^ </a>";}
	if ($start+$rt<count($player["magic"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&list=magic&start=".($start+$rt)."\">+ (".(count($player["magic"])-$start-$rt).")</a>";}
$stmp.="<br/>***<br/><a href=\"$PHP_SELF?sid=$sid&delete=ALLmagic\">[удалить все]</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
	// карта меню
	msg($stmp,"Магия",1);
?>